/********************************************************************
 * Copyright © 2004 VHA. All rights reserved
 ********************************************************************/

package gov.va.med.esr.common.model.comms;

import gov.va.med.fw.ui.struts.AbstractForm;


public class VCDeterminationHistoryForm extends AbstractForm{
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	
	private VCAddressHistory residentialAddress;
	private VCAddressHistory facilityAddress;
	
	 private String changeTime;
	 private String cell;
	 private String combatVet;
	 private String comments;
	 private String dateDetermined;
	 private String dateHardshipExpires;
	 private String dateHardshipGranting;
	 private String determination1;
	 private String determination2;
	 private String distance;
	 private String enrolled;
	 private String facility;
	 private String home;
	 private String residentialAddressStatus;
	 private String result;
	 private String selectVeternChoice;
	 private String serviceConnected;
	 private String siteGrantingHardship;
	 private String specialAuthroity;
	 private String temp;
	 private String visn;
	 private String work;
	 public String addressAccuracy;
	 public String facilityName;
	 public String oldFacilityName;
	 
	 private VCAddressHistory oldResidentialAddress;
	 private VCAddressHistory oldFacilityAddress;
	 
	 public String oldAddressAccuracy;
	 public String oldCell;
	 public String oldCombatVet;
	 public String oldComments;
	 public String oldDateDetermined;
	 public String oldDateHardshipExpires;
	 public String oldDateHardshipGranting;
	 public String oldDetermination1;
	 public String oldDetermination2;
	 public String oldDistance;
	 public String oldEnrolled;
	 public String oldFacility;
	 public String oldHome;
	 public String oldResidentialAddressStatus;
	 public String oldResult;
	 public String oldSelectVeternChoice;
	 public String oldServiceConnected;
	 public String oldSiteGrantingHardship;
	 public String oldSpecialAuthroity;
	 public String oldTemp;
	 public String oldVISN;
	 public String oldWork;
	
	 private String cellDate;
	 private String combatVetDate;
	 private String commentsDate;
	 private String dateDeterminedDate;
	 private String dateHardshipExpiresDate;
	 private String dateHardshipGrantingDate;
	 private String determination1Date;
	 private String determination2Date;
	 private String distanceDate;
	 private String enrolledDate;
	 private String facilityDate;
	 private String homeDate;
	 private String residentialAddressStatusDate;
	 private String resultDate;
	 private String selectVeternChoiceDate;
	 private String serviceConnectedDate;
	 private String siteGrantingHardshipDate;
	 private String specialAuthroityDate;
	 private String tempDate;
	 private String visnDate;
	 private String workDate;
	 public String addressAccuracyDate;
	 public String facilityNameDate;
	 public String oldFacilityNameDate;
	 
	public VCAddressHistory getResidentialAddress() {
		
		if(residentialAddress == null){
			residentialAddress = new VCAddressHistory();
		}
		return residentialAddress;
	}
	public void setResidentialAddress(VCAddressHistory residentialAddress) {
		this.residentialAddress = residentialAddress;
	}
	public VCAddressHistory getFacilityAddress() {
		
		if(facilityAddress == null){
			facilityAddress = new VCAddressHistory();
		}
		
		return facilityAddress;
	}
	public void setFacilityAddress(VCAddressHistory facilityAddress) {
		this.facilityAddress = facilityAddress;
	}
	public String getCell() {
		return cell;
	}
	public void setCell(String cell) {
		this.cell = cell;
	}
	public String getCombatVet() {
		return combatVet;
	}
	public void setCombatVet(String combatVet) {
		this.combatVet = combatVet;
	}
	public String getComments() {
		return comments;
	}
	public void setComments(String comments) {
		this.comments = comments;
	}
	public String getDateDetermined() {
		return dateDetermined;
	}
	public void setDateDetermined(String dateDetermined) {
		this.dateDetermined = dateDetermined;
	}
	public String getDateHardshipExpires() {
		return dateHardshipExpires;
	}
	public void setDateHardshipExpires(String dateHardshipExpires) {
		this.dateHardshipExpires = dateHardshipExpires;
	}
	public String getDateHardshipGranting() {
		return dateHardshipGranting;
	}
	public void setDateHardshipGranting(String dateHardshipGranting) {
		this.dateHardshipGranting = dateHardshipGranting;
	}
	public String getDetermination1() {
		return determination1;
	}
	public void setDetermination1(String determination1) {
		this.determination1 = determination1;
	}
	public String getDetermination2() {
		return determination2;
	}
	public void setDetermination2(String determination2) {
		this.determination2 = determination2;
	}
	public String getDistance() {
		return distance;
	}
	public void setDistance(String distance) {
		this.distance = distance;
	}
	public String getEnrolled() {
		return enrolled;
	}
	public void setEnrolled(String enrolled) {
		this.enrolled = enrolled;
	}
	public String getFacility() {
		return facility;
	}
	public void setFacility(String facility) {
		this.facility = facility;
	}
	public String getHome() {
		return home;
	}
	public void setHome(String home) {
		this.home = home;
	}
	public String getResidentialAddressStatus() {
		return residentialAddressStatus;
	}
	public void setResidentialAddressStatus(String residentialAddressStatus) {
		this.residentialAddressStatus = residentialAddressStatus;
	}
	public String getResult() {
		return result;
	}
	public void setResult(String result) {
		this.result = result;
	}
	public String getSelectVeternChoice() {
		return selectVeternChoice;
	}
	public void setSelectVeternChoice(String selectVeternChoice) {
		this.selectVeternChoice = selectVeternChoice;
	}
	public String getServiceConnected() {
		return serviceConnected;
	}
	public void setServiceConnected(String serviceConnected) {
		this.serviceConnected = serviceConnected;
	}
	public String getSiteGrantingHardship() {
		return siteGrantingHardship;
	}
	public void setSiteGrantingHardship(String siteGrantingHardship) {
		this.siteGrantingHardship = siteGrantingHardship;
	}
	public String getSpecialAuthroity() {
		return specialAuthroity;
	}
	public void setSpecialAuthroity(String specialAuthroity) {
		this.specialAuthroity = specialAuthroity;
	}
	public String getTemp() {
		return temp;
	}
	public void setTemp(String temp) {
		this.temp = temp;
	}
	public String getVisn() {
		return visn;
	}
	public void setVisn(String visn) {
		this.visn = visn;
	}
	public String getWork() {
		return work;
	}
	public void setWork(String work) {
		this.work = work;
	}
	public String getAddressAccuracy() {
		return addressAccuracy;
	}
	public void setAddressAccuracy(String addressAccuracy) {
		this.addressAccuracy = addressAccuracy;
	}
	public String getFacilityName() {
		return facilityName;
	}
	public void setFacilityName(String facilityName) {
		this.facilityName = facilityName;
	}
	public String getOldFacilityName() {
		return oldFacilityName;
	}
	public void setOldFacilityName(String oldFacilityName) {
		this.oldFacilityName = oldFacilityName;
	}
	public VCAddressHistory getOldResidentialAddress() {
		if(oldResidentialAddress == null){
			oldResidentialAddress = new VCAddressHistory();
		}
		return oldResidentialAddress;
	}
	public void setOldResidentialAddress(VCAddressHistory oldResidentialAddress) {
		this.oldResidentialAddress = oldResidentialAddress;
	}
	public VCAddressHistory getOldFacilityAddress() {
		
		if(oldFacilityAddress == null){
			oldFacilityAddress = new VCAddressHistory();
		}
		
		return oldFacilityAddress;
	}
	public void setOldFacilityAddress(VCAddressHistory oldFacilityAddress) {
		this.oldFacilityAddress = oldFacilityAddress;
	}
	public String getOldAddressAccuracy() {
		return oldAddressAccuracy;
	}
	public void setOldAddressAccuracy(String oldAddressAccuracy) {
		this.oldAddressAccuracy = oldAddressAccuracy;
	}
	public String getOldCell() {
		return oldCell;
	}
	public void setOldCell(String oldCell) {
		this.oldCell = oldCell;
	}
	public String getOldCombatVet() {
		return oldCombatVet;
	}
	public void setOldCombatVet(String oldCombatVet) {
		this.oldCombatVet = oldCombatVet;
	}
	public String getOldComments() {
		return oldComments;
	}
	public void setOldComments(String oldComments) {
		this.oldComments = oldComments;
	}
	public String getOldDateDetermined() {
		return oldDateDetermined;
	}
	public void setOldDateDetermined(String oldDateDetermined) {
		this.oldDateDetermined = oldDateDetermined;
	}
	public String getOldDateHardshipExpires() {
		return oldDateHardshipExpires;
	}
	public void setOldDateHardshipExpires(String oldDateHardshipExpires) {
		this.oldDateHardshipExpires = oldDateHardshipExpires;
	}
	public String getOldDateHardshipGranting() {
		return oldDateHardshipGranting;
	}
	public void setOldDateHardshipGranting(String oldDateHardshipGranting) {
		this.oldDateHardshipGranting = oldDateHardshipGranting;
	}
	public String getOldDetermination1() {
		return oldDetermination1;
	}
	public void setOldDetermination1(String oldDetermination1) {
		this.oldDetermination1 = oldDetermination1;
	}
	public String getOldDetermination2() {
		return oldDetermination2;
	}
	public void setOldDetermination2(String oldDetermination2) {
		this.oldDetermination2 = oldDetermination2;
	}
	public String getOldDistance() {
		return oldDistance;
	}
	public void setOldDistance(String oldDistance) {
		this.oldDistance = oldDistance;
	}
	public String getOldEnrolled() {
		return oldEnrolled;
	}
	public void setOldEnrolled(String oldEnrolled) {
		this.oldEnrolled = oldEnrolled;
	}
	public String getOldFacility() {
		return oldFacility;
	}
	public void setOldFacility(String oldFacility) {
		this.oldFacility = oldFacility;
	}
	public String getOldHome() {
		return oldHome;
	}
	public void setOldHome(String oldHome) {
		this.oldHome = oldHome;
	}
	public String getOldResidentialAddressStatus() {
		return oldResidentialAddressStatus;
	}
	public void setOldResidentialAddressStatus(String oldResidentialAddressStatus) {
		this.oldResidentialAddressStatus = oldResidentialAddressStatus;
	}
	public String getOldResult() {
		return oldResult;
	}
	public void setOldResult(String oldResult) {
		this.oldResult = oldResult;
	}
	public String getOldSelectVeternChoice() {
		return oldSelectVeternChoice;
	}
	public void setOldSelectVeternChoice(String oldSelectVeternChoice) {
		this.oldSelectVeternChoice = oldSelectVeternChoice;
	}
	public String getOldServiceConnected() {
		return oldServiceConnected;
	}
	public void setOldServiceConnected(String oldServiceConnected) {
		this.oldServiceConnected = oldServiceConnected;
	}
	public String getOldSiteGrantingHardship() {
		return oldSiteGrantingHardship;
	}
	public void setOldSiteGrantingHardship(String oldSiteGrantingHardship) {
		this.oldSiteGrantingHardship = oldSiteGrantingHardship;
	}
	public String getOldSpecialAuthroity() {
		return oldSpecialAuthroity;
	}
	public void setOldSpecialAuthroity(String oldSpecialAuthroity) {
		this.oldSpecialAuthroity = oldSpecialAuthroity;
	}
	public String getOldTemp() {
		return oldTemp;
	}
	public void setOldTemp(String oldTemp) {
		this.oldTemp = oldTemp;
	}
	public String getOldVISN() {
		return oldVISN;
	}
	public void setOldVISN(String oldVISN) {
		this.oldVISN = oldVISN;
	}
	public String getOldWork() {
		return oldWork;
	}
	public void setOldWork(String oldWork) {
		this.oldWork = oldWork;
	}
	public String getCellDate() {
		return cellDate;
	}
	public void setCellDate(String cellDate) {
		this.cellDate = cellDate;
	}
	public String getCombatVetDate() {
		return combatVetDate;
	}
	public void setCombatVetDate(String combatVetDate) {
		this.combatVetDate = combatVetDate;
	}
	public String getCommentsDate() {
		return commentsDate;
	}
	public void setCommentsDate(String commentsDate) {
		this.commentsDate = commentsDate;
	}
	public String getDateDeterminedDate() {
		return dateDeterminedDate;
	}
	public void setDateDeterminedDate(String dateDeterminedDate) {
		this.dateDeterminedDate = dateDeterminedDate;
	}
	public String getDateHardshipExpiresDate() {
		return dateHardshipExpiresDate;
	}
	public void setDateHardshipExpiresDate(String dateHardshipExpiresDate) {
		this.dateHardshipExpiresDate = dateHardshipExpiresDate;
	}
	public String getDateHardshipGrantingDate() {
		return dateHardshipGrantingDate;
	}
	public void setDateHardshipGrantingDate(String dateHardshipGrantingDate) {
		this.dateHardshipGrantingDate = dateHardshipGrantingDate;
	}
	public String getDetermination1Date() {
		return determination1Date;
	}
	public void setDetermination1Date(String determination1Date) {
		this.determination1Date = determination1Date;
	}
	public String getDetermination2Date() {
		return determination2Date;
	}
	public void setDetermination2Date(String determination2Date) {
		this.determination2Date = determination2Date;
	}
	public String getDistanceDate() {
		return distanceDate;
	}
	public void setDistanceDate(String distanceDate) {
		this.distanceDate = distanceDate;
	}
	public String getEnrolledDate() {
		return enrolledDate;
	}
	public void setEnrolledDate(String enrolledDate) {
		this.enrolledDate = enrolledDate;
	}
	public String getFacilityDate() {
		return facilityDate;
	}
	public void setFacilityDate(String facilityDate) {
		this.facilityDate = facilityDate;
	}
	public String getHomeDate() {
		return homeDate;
	}
	public void setHomeDate(String homeDate) {
		this.homeDate = homeDate;
	}
	public String getResidentialAddressStatusDate() {
		return residentialAddressStatusDate;
	}
	public void setResidentialAddressStatusDate(String residentialAddressStatusDate) {
		this.residentialAddressStatusDate = residentialAddressStatusDate;
	}
	public String getResultDate() {
		return resultDate;
	}
	public void setResultDate(String resultDate) {
		this.resultDate = resultDate;
	}
	public String getSelectVeternChoiceDate() {
		return selectVeternChoiceDate;
	}
	public void setSelectVeternChoiceDate(String selectVeternChoiceDate) {
		this.selectVeternChoiceDate = selectVeternChoiceDate;
	}
	public String getServiceConnectedDate() {
		return serviceConnectedDate;
	}
	public void setServiceConnectedDate(String serviceConnectedDate) {
		this.serviceConnectedDate = serviceConnectedDate;
	}
	public String getSiteGrantingHardshipDate() {
		return siteGrantingHardshipDate;
	}
	public void setSiteGrantingHardshipDate(String siteGrantingHardshipDate) {
		this.siteGrantingHardshipDate = siteGrantingHardshipDate;
	}
	public String getSpecialAuthroityDate() {
		return specialAuthroityDate;
	}
	public void setSpecialAuthroityDate(String specialAuthroityDate) {
		this.specialAuthroityDate = specialAuthroityDate;
	}
	public String getTempDate() {
		return tempDate;
	}
	public void setTempDate(String tempDate) {
		this.tempDate = tempDate;
	}
	public String getVisnDate() {
		return visnDate;
	}
	public void setVisnDate(String visnDate) {
		this.visnDate = visnDate;
	}
	public String getWorkDate() {
		return workDate;
	}
	public void setWorkDate(String workDate) {
		this.workDate = workDate;
	}
	public String getAddressAccuracyDate() {
		return addressAccuracyDate;
	}
	public void setAddressAccuracyDate(String addressAccuracyDate) {
		this.addressAccuracyDate = addressAccuracyDate;
	}
	public String getFacilityNameDate() {
		return facilityNameDate;
	}
	public void setFacilityNameDate(String facilityNameDate) {
		this.facilityNameDate = facilityNameDate;
	}
	public String getOldFacilityNameDate() {
		return oldFacilityNameDate;
	}
	public void setOldFacilityNameDate(String oldFacilityNameDate) {
		this.oldFacilityNameDate = oldFacilityNameDate;
	}
	public String getChangeTime() {
		return changeTime;
	}
	public void setChangeTime(String changeTime) {
		this.changeTime = changeTime;
	}
	
	
	 
}
